summaryrefslogtreecommitdiff
Commit message (Collapse)AuthorAgeFilesLines
* net-p2p/go-ipfs-bin: version bump to 0.4.11.David Roman2017-10-042-0/+27
| | | | Closes: https://github.com/gentoo/gentoo/pull/5860
* app-admin/logrotate: Adds temporary directory for systemdChema Alonso Josa2017-10-042-0/+96
| | | | | Gentoo-Bug: 357275 Package-Manager: Portage-2.3.8, Repoman-2.3.3
* dev-python/pychroot: version bump to 0.9.18Tim Harder2017-10-043-1/+51
|
* dev-python/snakeoil: version bump to 0.7.4Tim Harder2017-10-042-0/+36
|
* sys-auth/pam_pkcs11: treecleanAlon Bar-Lev2017-10-044-141/+0
| | | | Gentoo-Bug: 628908
* dev-libs/cryptlib: treecleanAlon Bar-Lev2017-10-048-553/+0
| | | | Gentoo-Bug: 630420
* autotools.eclass: fix typo for clarify.Robin H. Johnson2017-10-041-1/+1
| | | | Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>
* meson.eclass: MESON_AUTO_DEPEND supportRobin H. Johnson2017-10-041-1/+22
| | | | | | | | | | | | | | Make it possible to use the meson eclass without it automatically adding meson to DEPEND. Intended for cases where meson usage is conditional (e.g. hidden behind a USE flag). This is a direct copy of the AUTOTOOLS_AUTO_DEPEND functionality & implementation from autotools.eclass, including the guard for multiple inheritance. Closes: https://bugs.gentoo.org/626054 Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> Signed-off-by: Mike Gilbert <floppym@gentoo.org>
* dev-libs/botan: remove unneeded c++11 patchAlon Bar-Lev2017-10-041-1/+0
| | | | Package-Manager: Portage-2.3.8, Repoman-2.3.1
* dev-libs/botan: do not permit openssl-1.1Alon Bar-Lev2017-10-041-1/+1
| | | | Package-Manager: Portage-2.3.8, Repoman-2.3.1
* dev-libs/botan: re-add support for libresslAlon Bar-Lev2017-10-042-0/+41
| | | | | | Gentoo-Bug: 633466 Package-Manager: Portage-2.3.8, Repoman-2.3.1
* dev-libs/botan: add missing limits.hAlon Bar-Lev2017-10-042-0/+26
| | | | | | | Gentoo-Bug: 633468 Thanks: toralf Package-Manager: Portage-2.3.8, Repoman-2.3.1
* media-gfx/pixie: Drop proxied maintainerJonas Stein2017-10-041-8/+1
| | | | | | The maintainer retired and should have been dropped already years ago. Closes: https://bugs.gentoo.org/632700 Package-Manager: Portage-2.3.11, Repoman-2.3.3
* profiles: Mask x11-libs/compizconfig-backend-kconfig4 for removalAndreas Sturmlechner2017-10-041-0/+5
| | | | Gentoo-bug: 629236
* x11-wm/compiz-fusion: Drop USE=kdeAndreas Sturmlechner2017-10-041-3/+2
| | | | | Gentoo-bug: 629236 Package-Manager: Portage-2.3.8, Repoman-2.3.3
* www-plugins/chrome-binary-plugins: automated update (63.0.3230.0)Mike Gilbert2017-10-042-1/+1
| | | | Package-Manager: Portage-2.3.10_p4, Repoman-2.3.3_p52
* www-client/google-chrome-unstable: automated update (63.0.3230.0)Mike Gilbert2017-10-042-1/+1
| | | | Package-Manager: Portage-2.3.10_p4, Repoman-2.3.3_p52
* dev-python/python-novaclient: 9.1.1 pike bupMatthew Thode2017-10-042-0/+71
| | | | Package-Manager: Portage-2.3.8, Repoman-2.3.3
* media-sound/tomahawk: Fix qtkeychain detectionJohannes Huber2017-10-042-1/+32
| | | | | Closes: https://bugs.gentoo.org/633470 Package-Manager: Portage-2.3.11, Repoman-2.3.3
* mail-client/neomutt: Rename smime_keysNicolas Bock2017-10-041-11/+39
| | | | | | | | In order to avoid a file collision with the mutt package, rename the smime_keys helper script to neomutt_smime_keys. Fixes: #633454 Package-Manager: Portage-2.3.8, Repoman-2.3.3
* app-shells/quoter: bump.Martin Väth2017-10-042-0/+24
| | | | | | Closes: https://bugs.gentoo.org/628390 Package-Manager: Portage-2.3.8, Repoman-2.3.3 Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>
* app-shells/push: bump.Martin Väth2017-10-042-0/+26
| | | | | | Closes: https://bugs.gentoo.org/628388 Package-Manager: Portage-2.3.8, Repoman-2.3.3 Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>
* dev-perl/Class-Inspector: Bump to version 1.320.0Kent Fredric2017-10-052-0/+24
| | | | | | | Upstream: - Support for arrayrefs and objects in @INC Package-Manager: Portage-2.3.8, Repoman-2.3.3
* dev-perl/Class-ISA: Normalise versionKent Fredric2017-10-051-0/+20
| | | | | | | - EAPI6 - Parallel tests Package-Manager: Portage-2.3.8, Repoman-2.3.3
* dev-perl/Class-Base: Bump to version 0.80.0Kent Fredric2017-10-052-0/+21
| | | | | | | Upstream: - packaging fixes Package-Manager: Portage-2.3.8, Repoman-2.3.3
* dev-perl/Cisco-Reconfig: Bump to version 0.912.0Kent Fredric2017-10-052-0/+21
| | | | | | | | | | - EAPI6 - Parallel tests Upstream: - Allow outdented "quit" Package-Manager: Portage-2.3.8, Repoman-2.3.3
* sys-block/thin-provisioning-tools: Bump to version 0.7.2Lars Wendler2017-10-042-0/+61
| | | | Package-Manager: Portage-2.3.11, Repoman-2.3.3
* sys-fs/xfsdump: Bump to version 3.1.8Lars Wendler2017-10-043-2/+70
| | | | Package-Manager: Portage-2.3.11, Repoman-2.3.3
* sys-apps/gsmartcontrol: Bump to version 1.1.1Lars Wendler2017-10-042-0/+48
| | | | Package-Manager: Portage-2.3.11, Repoman-2.3.3
* net-fs/samba: revbump 4.6.8 and 4.7.0 due to dependency and use changesIan Stakenvicius2017-10-042-0/+0
| | | | Package-Manager: Portage-2.3.8, Repoman-2.3.1
* profiles/package.mask: remove mask on >samba-4.7 and >ldb-1.1.30Ian Stakenvicius2017-10-041-7/+0
|
* net-fs/samba: drop hppa for samba-4.7.0 due to missing keywords on depsIan Stakenvicius2017-10-041-1/+1
| | | | | | | | | | | Repoman reports: dependency.bad [fatal] 2 net-fs/samba/samba-4.7.0.ebuild: DEPEND: ~hppa(default/linux/hppa/13.0) ['dev-util/lttng-ust', '>=net-dns/resolv_wrapper-1.1.4'] net-fs/samba/samba-4.7.0.ebuild: RDEPEND: ~hppa(default/linux/hppa/13.0) ['dev-util/lttng-ust'] Package-Manager: Portage-2.3.8, Repoman-2.3.1
* net-fs/samba: block incompatible >=sys-libs/ldb-1.2 on samba-4.6.8Ian Stakenvicius2017-10-041-0/+1
| | | | Package-Manager: Portage-2.3.6, Repoman-2.3.1
* net-fs/samba: drop old/vuln 4.6.7Ian Stakenvicius2017-10-042-305/+0
| | | | Package-Manager: Portage-2.3.8, Repoman-2.3.1
* net-fs/samba: support ADDC with system-mitkrb5 on 4.7.0Ian Stakenvicius2017-10-041-2/+2
| | | | | | | | Samba-4.7.0 contains full system-mit-krb5 support for Active Directory; this commit adjusts the REQUIRED_USE to enable its use. Please be sure to check upstream documentation when migrating a heimdal-based ADDC. Package-Manager: Portage-2.3.6, Repoman-2.3.1
* sys-devel/gcc-config: Stable on amd64Manuel Rüger2017-10-041-1/+1
| | | | Package-Manager: Portage-2.3.11, Repoman-2.3.3
* net-misc/netkit-bootparamd: Fix build against glibc-2.26 / libtirpc, bug 371385Andreas K. Hüttel2017-10-043-0/+74
| | | | | Closes: https://bugs.gentoo.org/371385 Package-Manager: Portage-2.3.11, Repoman-2.3.3
* net-misc/curl: version bump to 7.56.0Anthony G. Basile2017-10-042-0/+242
| | | | Package-Manager: Portage-2.3.8, Repoman-2.3.1
* sys-devel/gdb: Fix missing "use" in 8.0 as wellManuel Rüger2017-10-041-1/+1
| | | | Package-Manager: Portage-2.3.11, Repoman-2.3.3
* sys-devel/gdb: Version bump to 8.0.1Manuel Rüger2017-10-042-0/+247
| | | | Package-Manager: Portage-2.3.11, Repoman-2.3.3
* www-client/chromium: dev channel bump (63.0.3230.0)Pawel Hajdan, Jr2017-10-044-12/+61
| | | | Package-Manager: Portage-2.3.8, Repoman-2.3.1
* sci-libs/linux-gpib: Remove oldAndreas K. Hüttel2017-10-042-216/+0
| | | | Package-Manager: Portage-2.3.11, Repoman-2.3.3
* sci-libs/linux-gpib: Version bumpAndreas K. Hüttel2017-10-042-0/+216
| | | | Package-Manager: Portage-2.3.11, Repoman-2.3.3
* net-analyzer/netdata: openrc and systemd fixesCraig Andrews2017-10-043-1/+218
| | | | | | | | | Create the var/cache/netdata directory if it doesn't already exist in the systemd script Fix the path to the netdata executable in the openrc script Eliminate bashisms in openrc script Gentoo-bug: 633380 Package-Manager: Portage-2.3.11, Repoman-2.3.3
* net-fs/samba: Raise dev util cmocka =>1.1.1 dependency.Jeroen Roovers2017-10-041-1/+1
| | | | Package-Manager: Portage-2.3.11, Repoman-2.3.3
* sys-devel/gcc-config: Restore keywords, based on testing by amadio, bug 417647Andreas K. Hüttel2017-10-041-1/+1
| | | | | Closes: https://bugs.gentoo.org/417647 Package-Manager: Portage-2.3.11, Repoman-2.3.3
* profiles: mask gcc ssp use flag for hppa, bug 630702Andreas K. Hüttel2017-10-041-0/+4
| | | | | | | For just about every other package I'd relax the -Werror that effectively makes the build fail, however, let's be a bit more critical with gcc. Closes: https://bugs.gentoo.org/630702
* media-gfx/shotwell: Fix indentation of metadataNicolas Bock2017-10-041-21/+21
| | | | Package-Manager: Portage-2.3.8, Repoman-2.3.3
* mail-client/neomutt: Fix indentation of metadataNicolas Bock2017-10-041-10/+10
| | | | Package-Manager: Portage-2.3.8, Repoman-2.3.3
* dev-lang/ocaml: add 4.06.0_beta1Alexis Ballier2017-10-042-0/+129
| | | | Package-Manager: Portage-2.3.11, Repoman-2.3.3